Draft: Serie su punti

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft PointArray and the translation is 12% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Draft PathArray.svg Serie su tracciato
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg

Draft PointArray.svg Serie su punti

Posizione nel menu
Modificche → Strumenti serie → Serie su punti
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
0.18
Vedere anche
Serie ortogonale, Serie polare, Serie circolare, Serie su tracciato, Serie di link su tracciato, Serie di link su punti, Clona

Descrizione

Lo strumento Draft PointArray.svg Serie su punti posiziona le copie di una forma selezionata lungo vari punti selezionati.

Questo strumento può essere utilizzato su qualsiasi oggetto che abbia una Part TopoShape, che significa forme 2D create con Draft, ma anche solidi 3D creati con altri ambienti, ad esempio Part, PartDesign o Arch.

Draft PointArray Example.png

Oggetto duplicato in punti specifici

Utilizzo

  1. Selezionare un oggetto che si desidera distribuire.
  2. Selezionare un composto di punti.
  3. Premere il pulsante Draft PointArray.svg Serie su punti.

Point compound

L'oggetto composto di punti può essere creato in diversi modi.

  • Creare vari Draft Point.svg punti Draft o Part Point.svg punti Part, e poi premere Part Compound.svg Crea un composto per creare il composto .
  • Creare i punti con il metodo precedente ma invece di creare un composto usare Draft Upgrade.svg Upgrade per creare un "Blocco".
  • Creare uno Sketcher NewSketch.svg Schizzo, e dentro aggiungere vari punti.

Proprietà

See also: Property editor.

A Draft PointArray object is derived from a Part Feature object and inherits all its properties (with the exception of some View properties that are not inherited by Link arrays). The following properties are additional unless otherwise stated:

Data

Link

The properties in this group are only available for Link arrays. See Std LinkMake for more information.

  • DatiScale (Float)
  • Dati (Hidden)Scale Vector (Vector)
  • DatiScale List (VectorList)
  • Dati (Hidden)Visibility List (BoolList)
  • Dati (Hidden)Placement List (PlacementList)
  • Dati (Hidden)Element List (LinkList)
  • Dati (Hidden)_ Link Touched (Bool)
  • Dati (Hidden)_ Child Cache (LinkList)
  • Dati (Hidden)Colored Elements (LinkSubHidden)
  • DatiLink Transform (Bool)

Objects

Objects

  • DatiBase (Link): l'oggetto da duplicare; deve avere una Part TopoShape.
  • DatiCount (Integer): (sola lettura) specifica il numero di copie nella serie. Questa proprietà è di sola lettura perché il numero di copie è determinato dal numero di punti all'interno di DatiPoint Object.
  • DatiExtra Placement (Placement): specifica un posizionamento aggiuntivo, traslazione e rotazione, che verrà applicato a ciascuna copia della serie. Ogni copia appare normalmente con la stessa rotazione dell'oggetto DatiBase; con questa proprietà è possibile fornire una rotazione aggiuntiva o contrastare la rotazione originale e apportare piccole modifiche alla posizione delle copie. introduced in version 0.19
  • DatiPoint Object (Link): specifica un oggetto composto di punti che indicano dove verranno visualizzate le copie dell'oggetto DatiBase. L'oggetto composto deve avere una proprietà DatiLinks, DatiComponents, o DatiGeometry, e contenere almeno un elemento con gli attributi DatiX, DatiY, e DatiZ.

View

Link

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • VistaDraw Style (Enumeration)
  • VistaLine Width (FloatConstraint)
  • VistaOverride Material (Bool)
  • VistaPoint Size (FloatConstraint)
  • VistaSelectable (Bool): this is an inherited property that appears in the Selection group for other arrays
  • VistaShape Material (Material)

Base

The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.

  • Vista (Hidden)Child View Provider (PersistentObject)
  • Vista (Hidden)Material List (MaterialList)
  • Vista (Hidden)Override Color List (ColorList)
  • Vista (Hidden)Override Material List (BoolList)
  • Vista (Hidden)Proxy (PythonObject): this is an inherited property.

Display Options

The properties in this group are inherited properties. See Part Feature for more information.

  • VistaBounding Box (Bool): this property is not inherited by Link arrays.
  • VistaDisplay Mode (Enumeration): for Link arrays it can be Link or ChildView. For other arrays it can be: Flat Lines, Shaded, Wireframe or Points
  • VistaShow In Tree (Bool)
  • VistaVisibility (Bool)

Draft

  • VistaPattern (Enumeration): not used.
  • VistaPattern Size (Float): not used.

Object style

The properties in this group are not inherited by Link arrays.

Scripting

Lo strumento PointArray può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
  • Crea un oggetto "PointArray" da un base_object, posizionando le copie nei punti contenuti all'interno di point_object.
    • point_object deve avere uno degli attributi Geometry, Links o Components contenenti punti.
    • Invece di un riferimento a un oggetto, base_object e point_object possono anche essere delle Labels (stringhe) di oggetti esistenti nel documento corrente.
    • extra può essere un App.Placement completo o solo un App.Vector o App.Rotation.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon = Draft.make_polygon(3, radius=500.0)

p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))

compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]

point_array = Draft.make_point_array(polygon, compound)
doc.recompute()


Arrow-left.svg Pagina precedente: Draft PathArray.svg Serie su tracciato
Pagina successiva: Clona Draft Clone.svg Arrow-right.svg